> For the complete documentation index, see [llms.txt](https://docs.wepin.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wepin.io/en/widget-integration/web-javascript-sdk/login-library/initialization.md).

# Initialization

Here is the instructions on how to initialize the Wepin Login Library.

## init

It initializes the Wepin Login Library and sets the language to be displayed on the widget screen during initialization.

```javascript
await wepinLogin.init(language?)
```

### **Parameters**

* `language`: \<string>\
  It sets the default language of the widget. The default value is `'en'`. Currently supported languages are `'ko'` , `'en'` and `'ja'`

### **Return value**

* `Promise`\<void>

### Example

```javascript
await wepinLogin.init('ko')
```

## isInitialized&#x20;

It checks if the Wepin Login Library is initialized properly.

```javascript
wepinLogin.isInitialized()
```

### **Parameters**

* \<void>

### **Return Value**

* `<boolean>`\
  It returns **true** if init was successful, otherwise returns **false**.

### **Example**

```javascript
if(wepinLogin.isInitialized()) {
  console.log('wepinSDK is initialized!')
}
```

## changeLanguage

It allows changing the language of the widget.

```javascript
wepinLogin.changeLanguage(language)
```

### **Parameters**

* `language` \<string>\
  It specifies the language to be displayed on the widget. Currently supported languages are `'ko'` , `'en'` and `'ja'`

### Example

```javascript
wepinLogin.changeLanguage('ko')
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wepin.io/en/widget-integration/web-javascript-sdk/login-library/initialization.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
